%define enable_debug 0
%define _disable_ld_no_undefined 1

Name: reiser4progs
Version: 2.0.0
Release: %mkrel 2
Summary: Utilities for reiser4 filesystems
License: GPL
Group: System/Kernel and hardware
URL: http://www.namesys.com/
Source: https://sourceforge.net/projects/reiser4/files/v5-unstable/progs/reiser4progs-%{version}.tar.gz
Patch0: reiser4progs-1.1.0-strfmt.patch
Patch1:	reiser4progs-1.2.1-nostatic.patch
BuildRequires: glibc-static-devel
BuildRequires: libaal-devel
BuildRequires: readline-devel
BuildRequires: pkgconfig(uuid)

%description
Utilities for manipulating reiser4 filesystems.

%package devel
Summary: Development libraries and headers for developing reiser4 tools
Group: Development/C

%description devel
Development libraries and headers for developing reiser4 tools.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -vfi
%configure \
%if %{enable_debug}
        --enable-debug \
%else
        --disable-debug \
%endif
        --disable-static \
        --enable-libminimal \
        --disable-fnv1-hash \
        --disable-rupasov-hash \
        --disable-tea-hash \
        --disable-deg-hash

%make_build

%install
%make_install

%files
%doc AUTHORS BUGS COPYING CREDITS NEWS README THANKS TODO
%{_libdir}/libreiser4-2.0.so.*
%{_libdir}/libreiser4-minimal-2.0.so.*
%{_libdir}/librepair-2.0.so.*
%{_sbindir}/debugfs.reiser4
%{_sbindir}/fsck.reiser4
%{_sbindir}/make_reiser4
%{_sbindir}/measurefs.reiser4
%{_sbindir}/mkfs.reiser4
%{_sbindir}/volume.reiser4
%{_mandir}/man8/*

%files devel
%dir %{_includedir}/reiser4
%{_includedir}/reiser4/*.h
%{_includedir}/repair/*.h
%{_datadir}/aclocal/libreiser4.m4
%{_libdir}/libreiser4.*a
%{_libdir}/libreiser4-minimal.*a
%{_libdir}/librepair.*a
%{_libdir}/libreiser4-minimal.so
%{_libdir}/libreiser4.so
%{_libdir}/librepair.so


%changelog
* Wed Feb 19 2020 umeabot <umeabot> 2.0.0-2.mga8
+ Revision: 1542557
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Jan 05 2020 tv <tv> 2.0.0-1.mga8
+ Revision: 1476639
- new release

* Sun Jan 05 2020 tv <tv> 1.2.1-2.mga8
+ Revision: 1476628
- rebuild for new readline

* Sat Oct 20 2018 pterjan <pterjan> 1.2.1-1.mga7
+ Revision: 1322963
- Update to 1.2.1
- Update to 1.2.1
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Sun Dec 25 2016 tmb <tmb> 1.1.0-2.mga6
+ Revision: 1077332
- fix summary
- fix group
- imported package reiser4progs

